Bug 134273 - Network problem with 2.6.8-1.521 - IMAP example here
Network problem with 2.6.8-1.521 - IMAP example here
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
2
i686 Linux
medium Severity medium
: ---
: ---
Assigned To: Dave Jones
Brian Brock
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2004-09-30 15:46 EDT by Michael Best
Modified: 2015-01-04 17:10 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-04-16 01:11:33 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Michael Best 2004-09-30 15:46:44 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.7.3)
Gecko/20040922

Description of problem:
I am unable to read my email via imap from my email provider who is
not my isp.

When using kernel 2.6.5-1.358 imap is working just fine.  However when
I am using 2.6.8-1.521 mozilla/pine/thunderbird simply hang when you
go to read email.

When I use telnet to test under 2.6.5 I get an instantaneous response
to the request on the imap port.  Under 2.6.8 it takes several seconds
before the OK response is received.

I asked my email provider to test it with a FC2 (2.6.8 kernel) box on
their end, but they were not experiencing any problems.    
 
# telnet mailprovider.example.com imap
* OK [CAPABILITY IMAP4rev1 UIDPLUS CHILDREN NAMESPACE
THREAD=ORDEREDSUBJECT THREAD=REFERENCES SORT QUOTA IDLE STARTTLS]
Courier-IMAP ready. Copyright 1998-2003 Double Precision, Inc.  See
COPYING for distribution information.
^]


So I have to suspect that it is some sort of problem between myself
and my email service provider.  I suspect my ISP, but I am unlikely to
get a useful response out of them when I mention I'm using linux.

Routing, ICMP, SELinux?  Any suggestions what I can do to debug this
problem?

Version-Release number of selected component (if applicable):
kernel-2.6.8-1.521

How reproducible:
Always

Steps to Reproduce:
1. Use 2.6.8 kernel
2. Try to use an IMAP application or telnet
3. Extremely slow response or client hangs
Comment 1 Michael Best 2004-09-30 16:15:22 EDT
Example it seems to work in 2.6.5-1.358 and arjanv's new 2.6.8-1.584:
$ time telnet mail.example.com imap
Trying XXX.XXX.XXX.XXX...
Connected to mail.example.com.
Escape character is '^]'.
* OK [CAPABILITY IMAP4rev1 UIDPLUS CHILDREN NAMESPACE
THREAD=ORDEREDSUBJECT THREAD=REFERENCES SORT QUOTA IDLE STARTTLS]
Courier-IMAP ready. Copyright 1998-2003 Double Precision, Inc.  See
COPYING for distribution information.
^]
 
telnet> q
Connection closed.
 
real    0m1.056s
user    0m0.002s
sys     0m0.002s


Here is an example of it not working in kernel-2.6.8-1.521:
$ time telnet mail.example.com imap
Trying XXX.XXX.XXX.XXX...
Connected to mail.example.com.
Escape character is '^]'.
* OK [CAPABILITY IMAP4rev1 UIDPLUS CHILDREN NAMESPACE
THREAD=ORDEREDSUBJECT THREAD=REFERENCES SORT QUOTA IDLE STARTTLS]
Courier-IMAP ready. Copyright 1998-2003
Double Precision, Inc.  See COPYING for distribution information.
^]
  
telnet> q
Connection closed.
  
real    0m14.933s
user    0m0.001s
sys     0m0.006s
Comment 2 Dave Jones 2004-11-27 15:26:05 EST
mass update for old bugs:

Is this still a problem with the 2.6.9 based update kernel ?
Comment 3 Michael Best 2004-11-29 00:45:07 EST
This issue had to do with TCP window scaling

As per this article:
http://lwn.net/Articles/92727/

I appear to be behind one of these broken/problem routers.  

My original fix (2.6.8-1.521) was to set in /etc/sysctl.conf:
net.ipv4.tcp_default_win_scale = 0

In the 2.6.9-1.6_FC2 kernel this value appears to have been moved to a different
key and the default has been changed to "1".  This appears to be working for me.

# cat /proc/sys/net/ipv4/tcp_window_scaling 
1

The new sysctl.conf line to set it to "0" would be:
net.ipv4.tcp_window_scaling = 0
Comment 4 Dave Jones 2005-04-16 01:11:33 EDT
Fedora Core 2 has now reached end of life, and no further updates will be
provided by Red Hat.  The Fedora legacy project will be producing further kernel
updates for security problems only.

If this bug has not been fixed in the latest Fedora Core 2 update kernel, please
try to reproduce it under Fedora Core 3, and reopen if necessary, changing the
product version accordingly.

Thank you.

Note You need to log in before you can comment on or make changes to this bug.